//prof.Marius Nicoli

#include <stdio.h>
#define DIM 1011
#define AUX 100000

int A[DIM][DIM], B[DIM][DIM], C[DIM][DIM], D[DIM][DIM];
int M[DIM][DIM];

int L, X, i, j, mx, c, lin, col;


inline int maxim(int a, int b) {
	return a>b ? a : b;
}

int main() {
	
	FILE *f = fopen("poteci.in","r");
	FILE *g = fopen("poteci.out","w");
	
	fscanf(f,"%d %d",&L, &c);
	for (i=1;i<=L;i++) {
		for (j=1;j<=c;j++)
			fscanf(f,"%d",&M[i][j]);
	}
	fclose(f);
	
	M[1][c] -= AUX;
	M[L][1] -= AUX;
	for (i=1;i<=L;i++)
		for (j=1;j<=c;j++)
			A[i][j] = M[i][j] + maxim (A[i-1][j], A[i][j-1]);
		
	for (i=L;i>=1;i--)
		for (j=c;j>=1;j--)
			D[i][j] = M[i][j] + maxim (D[i+1][j], D[i][j+1]);
		
	M[1][c] += AUX;
	M[L][1] += AUX;
	
	M[1][1] -= AUX;
	M[L][c] -= AUX;
	
	for (i=1;i<=L;i++)
		for (j=c;j>=1;j--)
			B[i][j] = M[i][j] + maxim (B[i-1][j], B[i][j+1]);
		
	for (i=L;i>=1;i--)
		for (j=1;j<=c;j++)
			C[i][j] = M[i][j] + maxim (C[i+1][j], C[i][j-1]);

	M[1][1] += AUX;
	M[L][c] += AUX;
	
	for (i=1;i<=L;i++)
		for (j=1;j<=c;j++) {
			if (i==1 && j==1)
				continue;
			if (i==L && j==1)
				continue;
			if (i==1 && j==c)
				continue;
			if (i==L && j==c)
				continue;
			if (A[i][j] + B[i][j] + C[i][j] + D[i][j] - 2 * (M[i][j]) > mx) {
				mx = A[i][j] + B[i][j] + C[i][j] + D[i][j] - 2 * (M[i][j]);
				lin = i;
				col = j;
			}
		}
		
	fprintf(g,"%d\n",mx);
	fprintf(g,"%d %d\n", lin, col);
	fclose(g);
		
	return 0;
}